generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Ordercommand
    theme:            emailpassion

    list:
      max_per_page:   20
      sort:           [ created_at, desc ]
      title:          Liste des commandes
      filters:        [ _state, created_at ]
      display:        [ id, _list_name, _list_price_total_ttc, created_at, _list_state ]
      fields:
        id:                { name: N&deg; cmd }
        list_name:         { name: Nom }
        list_price_total_ttc:   { name: Total }
        created_at:        { name: Date, params: date_format='dd/MM/yyyy H:mm:ss' }
        list_state:        { name: Etat }
        state:             { name: Etat }
      object_actions:
        _edit:             ~
        ordercommand:     { name: Imprimer la facture, action: printOrdercommand, icon: print.gif, params: popup=true }
        _delete:          { name: Supprimer, action: delete, params: confirm="Etes-vous s&ucirc;r de vouloir supprimer cette commande?" }
      actions:
        _create:           disabled

    edit:
      peer_method:                 doSelectJoinOrdercommandArticle
      title:                       Commande n&deg;%%id%%
      display:          
        "Courriel compte client":                 [ _edit_emailcustomer ]
        "Adresse de livraison":                   [ _edit_delivery ]
        "Adresse de facturation":                 [ _edit_bill ]
        "Articles command&eacute;s":              [ _edit_ordercommand_article ]
        "Statut":                                 [ _edit_current_state, _edit_state, _edit_comment, _edit_email ]
        "-Commentaires pr&eacute;c&eacute;dents": [ _edit_previous_comments ]
      fields:         
        edit_emailcustomer:        { name: Courriel }
        edit_delivery:             { name: Livraison }
        edit_bill:                 { name: Facturation }
        edit_ordercommand_article: { name: Articles }
        edit_current_state:        { name: Statut actuel }
        edit_state:                { name: Nouveau statut }
        edit_comment:              { name: Commentaires, help: "Vous pouvez envoyer un message personnalisé au client et changé le statut de la commande" }
        edit_email:                { name: Pr&eacute;venir le client }
        edit_previous_comments:    { name: Commentaires }
        edit_update_stock:         { name: MAJ le stock }
      actions:
        _list:                     ~
        _save:                     ~
        _ordercommand:             { name: Imprimer la facture, action: printOrdercommand, params: popup=true }
        _delete:                   { name: Supprimer, action: delete, params: confirm="Etes-vous s&ucirc;r de vouloir supprimer cette commande?" }